BrewForge Docs
ApiV1Custom fieldsId

Get custom field definition

GET
/api/v1/custom-fields/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

API token in format: bfk_

In: header

Path Parameters

id*string

Field definition ID

Response Body

application/json

application/json

curl -X GET "https://brewforge.sh/api/v1/custom-fields/string"
{
  "id": "string",
  "key": "lab-report-url",
  "name": "Brew Day pH",
  "description": "string",
  "fieldType": "text",
  "scope": "brew",
  "placement": "brew_details",
  "stage": "brew_details",
  "options": {
    "choices": [
      "string"
    ]
  },
  "unit": "pH",
  "placeholder": "string",
  "defaultValue": "string",
  "isRequired": true,
  "displayOrder": 0,
  "archivedAt": "2019-08-24T14:15:22Z",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "error": {
    "code": "UNAUTHORIZED",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}